.smile-status {
	color: #333333;
}

.smile-status__title {
	font-size: 24px;
	font-style: normal;
	line-height: 30px;
	font-weight: 500;
}

body[dir='rtl'] .smile-status__title {
	font-size: 29px;
	line-height: 39px;
}

.smile-status__subtitle {
	font-size: 14px;
	font-style: normal;
	line-height: 20px;
	font-weight: 400;
}

body[dir='rtl'] .smile-status__subtitle {
	font-size: 17px;
	line-height: 25px;
}

body[dir='rtl'] .smile-status__title {
	font-size: 35px;
	line-height: 45px;
}

.smile-status__grid {
	gap: 32px;
}

.smile-status__card {
	width: 100%;
	max-width: 485px;
	margin-inline: auto;
}

.smile-status__card-link {
	position: relative;
	height: auto;
	border-radius: 8px;
	overflow: hidden;
	outline: none;

	&::before {
		content: '';
		position: absolute;
		inset: 0;
		z-index: -1;
		background: lightgray 50% / cover no-repeat;
		transition: transform 0.25s ease-out;
	}

	&.smile-status__image-t1::before {
		background-image: url('../../../images/loyalty/status-section-t1.png?$staticlink$');
	}

	&.smile-status__image-t2::before {
		background-image: url('../../../images/loyalty/status-section-t2.png?$staticlink$');
	}

	&.smile-status__image-t3::before {
		background-image: url('../../../images/loyalty/status-section-t3.png?$staticlink$');
	}

	&:hover::before {
		transform: scale(1.03);
	}
}

.smile-status__card-link:active {
	border: 1px solid #e9e3de;
	box-shadow: 0 0 21px rgba(0, 0, 0, 0.15);
}

.smile-status__card-link:focus-visible {
	/* stylelint-disable-next-line declaration-no-important */
	box-shadow: 0 0 0 1px #ffffff, 0 0 0 3px #6893d2 !important;
	z-index: 1;
}

@supports (-webkit-appearance: none) {
	.smile-status__card-link:focus-visible {
		outline: 3px solid transparent;
		outline-offset: 10px;
	}
}

.smile-status__card-link:focus {
	outline: none;
}

.smile-status__badge {
	position: relative;
}

.smile-status__badge-name {
	font-size: 35px;
	font-style: normal;
	line-height: 40px;
	font-weight: 700;
}

body[dir='rtl'] .smile-status__badge-name {
	line-height: 52px;
}

.smile-status__badge-tier {
	font-size: 29px;
	font-style: normal;
	line-height: 35px;
	font-weight: 400;
}

body[dir='rtl'] .smile-status__badge-tier {
	font-size: 35px;
	line-height: 45px;
}

.smile-status__badge-range {
	font-size: 14px;
	font-style: normal;
	line-height: 20px;
	font-weight: 400;
}

body[dir='rtl'] .smile-status__badge-range {
	font-size: 17px;
	line-height: 25px;
}

.smile-status__badge--light {
	color: #ffffff;
}

.smile-status__badge--dark {
	color: #333333;
}

.smile-status__info > :first-child {
	margin: 0;
}

.smile-status__points {
	font-size: 20px;
	font-style: normal;
	line-height: 26px;
	font-weight: 500;
}

body[dir='rtl'] .smile-status__points {
	font-size: 24px;
	line-height: 34px;
}

.smile-status__benefit {
	font-size: 14px;
	font-style: normal;
	line-height: 20px;
	font-weight: 400;
}

body[dir='rtl'] .smile-status__benefit {
	font-size: 17px;
	line-height: 25px;
}

.smile-status__discover {
	color: #333333;
	font-size: 11px;
	font-style: normal;
	line-height: normal;
	font-weight: 500;
	text-underline-offset: 2px;
	text-decoration-thickness: 1px;
}

body[dir='rtl'] .smile-status__discover {
	font-size: 13px;
	line-height: 150%;
}

.smile-status__discover:focus-visible {
	/* stylelint-disable-next-line declaration-no-important */
	box-shadow: 0 0 0 1px #ffffff, 0 0 0 3px #6893d2 !important;
	z-index: 1;
	border-radius: 2px;
}

@supports (-webkit-appearance: none) {
	.smile-status__discover:focus-visible {
		outline: 3px solid transparent;
		outline-offset: 10px;
	}
}

.smile-status__discover:focus {
	outline: none;
}

.smile-status__discover:hover,
.smile-status__discover:active {
	text-decoration: none;
}

.smile-status__discover:active {
	color: #000000;
}

@media (min-width: 1024px) {
	.smile-status__title {
		font-size: 29px;
		line-height: 35px;
	}

	body[dir='rtl'] .smile-status__title {
		font-size: 35px;
		line-height: 45px;
	}

	.smile-status__grid {
		flex-direction: row;
	}

	.smile-status__badge-name {
		font-size: 42px;
		line-height: 46px;
	}

	body[dir='rtl'] .smile-status__badge-name {
		font-size: 50px;
		line-height: 60px;
	}

	.smile-status__badge-tier {
		font-size: 35px;
		line-height: 40px;
	}

	body[dir='rtl'] .smile-status__badge-tier {
		font-size: 42px;
		line-height: 52px;
	}
}
